package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.MzException;
import cn.hnthyy.thmz.entity.thmz.Clinic;
import cn.hnthyy.thmz.entity.thmz.User;

import java.util.List;

public interface ClinicService {

    /**
     * 保存就诊记录
     *
     * @param clinic
     * @return
     */
    int saveClinic(Clinic clinic);

    /**
     * 批量保存就诊记录
     *
     * @param clinicList
     * @return
     */
    int batchSaveClinic(List<Clinic> clinicList);

    /**
     * 根据单个id查询就诊记录
     *
     * @param id
     * @return
     */
    Clinic queryById(Long id);

    /**
     * 分页查询就诊记录
     *
     * @param clinic
     * @return
     */
    List<Clinic> queryClinicWithPage(Clinic clinic);


    /**
     * 查询符合条件的总数
     *
     * @param clinic
     * @return
     */
    Integer queryCountClinic(Clinic clinic);

    /**
     * 修改就诊状态
     * @param clinic
     * @return
     */
    int modifyClinic(Clinic clinic);

    /**
     * 接诊
     * @param patientId 病人id
     * @param serialNo 分诊流水号
     * @param tokenUser 当前操作人
     * @return
     */
    int inClinic(String patientId,String serialNo, User tokenUser) throws MzException;
}
